public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Anna Vyalkova" <cyber+gentoo@sysrq.in>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/makefun/
Date: Sun,  9 Jan 2022 00:01:21 +0000 (UTC)	[thread overview]
Message-ID: <1641686470.45b322573010545ad9dbf5aabad58c48bb2208f2.cybertailor@gentoo> (raw)

commit:     45b322573010545ad9dbf5aabad58c48bb2208f2
Author:     Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Sat Jan  8 15:49:20 2022 +0000
Commit:     Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Sun Jan  9 00:01:10 2022 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=45b32257

dev-python/makefun: initial import

Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>

 dev-python/makefun/Manifest              |  1 +
 dev-python/makefun/makefun-1.13.1.ebuild | 30 ++++++++++++++++++++++++++++++
 dev-python/makefun/metadata.xml          | 13 +++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/dev-python/makefun/Manifest b/dev-python/makefun/Manifest
new file mode 100644
index 000000000..e64a9b497
--- /dev/null
+++ b/dev-python/makefun/Manifest
@@ -0,0 +1 @@
+DIST makefun-1.13.1.tar.gz 72170 BLAKE2B b1b5e76277e742ef51bcdf2bf6f1d1e761010d75bc3f20d7a8c079b368972b90775bd3bb23cf1787911a8d858549d72d4a2c9379675e59f359486bf1c49566e2 SHA512 ae103d3827673c4124d051e3c76d3d0d126c783ac7a1ea09de3801fd695439eaa549c297bd5c262184a3ee6fdf7b046065081fa3183642778148c2134d7bfc06

diff --git a/dev-python/makefun/makefun-1.13.1.ebuild b/dev-python/makefun/makefun-1.13.1.ebuild
new file mode 100644
index 000000000..4e484a6ec
--- /dev/null
+++ b/dev-python/makefun/makefun-1.13.1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..10} )
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="dev-python/mkdocs-material"
+inherit distutils-r1 docs
+
+DESCRIPTION="Small library to dynamically create python functions"
+HOMEPAGE="https://pypi.org/project/makefun/ https://github.com/smarie/python-makefun"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="dev-python/setuptools_scm[${PYTHON_USEDEP}]"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	sed "/pytest-runner/d" -i setup.cfg || die
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	docs_compile
+}

diff --git a/dev-python/makefun/metadata.xml b/dev-python/makefun/metadata.xml
new file mode 100644
index 000000000..2af7ed73a
--- /dev/null
+++ b/dev-python/makefun/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>cyber+gentoo@sysrq.in</email>
+		<name>Anna</name>
+	</maintainer>
+	<upstream>
+		<remote-id type="pypi">makefun</remote-id>
+		<remote-id type="github">smarie/python-makefun</remote-id>
+		<doc>https://smarie.github.io/python-makefun/</doc>
+	</upstream>
+</pkgmetadata>


             reply	other threads:[~2022-01-09  0:01 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-01-09  0:01 Anna Vyalkova [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-02-23 13:44 [gentoo-commits] repo/proj/guru:dev commit in: dev-python/makefun/ Anna Vyalkova

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1641686470.45b322573010545ad9dbf5aabad58c48bb2208f2.cybertailor@gentoo \
    --to=cyber+gentoo@sysrq.in \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox